POST api/v1/Toys

Request Information

URI Parameters

None.

Body Parameters

ToyItem
NameDescriptionTypeAdditional information
Id

integer

None.

Category

byte

None.

Title

string

None.

Description

string

None.

AgeMinMonths

integer

None.

AgeMaxMonths

integer

None.

Skills

string

None.

Difficulty

byte

None.

ImageUrl

string

None.

ProductUrl

string

None.

DisplayOrder

integer

None.

IsActive

boolean

None.

IsDeleted

boolean

None.

CreatedAt

date

None.

UpdatedAt

date

None.

ChildToyStatus

Collection of ChildToyStatus

None.

ToyTag

Collection of ToyTag

None.

Request Formats

application/json, text/json

Sample:
{
  "id": 1,
  "category": 64,
  "title": "sample string 3",
  "description": "sample string 4",
  "ageMinMonths": 5,
  "ageMaxMonths": 1,
  "skills": "sample string 6",
  "difficulty": 64,
  "imageUrl": "sample string 7",
  "productUrl": "sample string 8",
  "displayOrder": 1,
  "isActive": true,
  "isDeleted": true,
  "createdAt": "2026-04-18T15:05:30.8671766+03:00",
  "updatedAt": "2026-04-18T15:05:30.8671766+03:00",
  "childToyStatus": [
    {
      "id": 1,
      "childId": 2,
      "toyItemId": 3,
      "isFavorite": true,
      "rating": 64,
      "lastPlayed": "2026-04-18T15:05:30.8671766+03:00",
      "notes": "sample string 4",
      "createdAt": "2026-04-18T15:05:30.8671766+03:00",
      "updatedAt": "2026-04-18T15:05:30.8671766+03:00"
    },
    {
      "id": 1,
      "childId": 2,
      "toyItemId": 3,
      "isFavorite": true,
      "rating": 64,
      "lastPlayed": "2026-04-18T15:05:30.8671766+03:00",
      "notes": "sample string 4",
      "createdAt": "2026-04-18T15:05:30.8671766+03:00",
      "updatedAt": "2026-04-18T15:05:30.8671766+03:00"
    }
  ],
  "toyTag": [
    {
      "id": 1,
      "name": "sample string 2",
      "slug": "sample string 3",
      "isActive": true,
      "isDeleted": true,
      "createdAt": "2026-04-18T15:05:30.8671766+03:00",
      "updatedAt": "2026-04-18T15:05:30.8671766+03:00",
      "toyItem": []
    },
    {
      "id": 1,
      "name": "sample string 2",
      "slug": "sample string 3",
      "isActive": true,
      "isDeleted": true,
      "createdAt": "2026-04-18T15:05:30.8671766+03:00",
      "updatedAt": "2026-04-18T15:05:30.8671766+03:00",
      "toyItem": []
    }
  ]
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.